package figury;

import java.util.Random;

public class FiguryTest {

    public static void main(String[] args) {
        int N = 20;

        Random rGen = new Random();

        Figura[] figury = new Figura[N];


        for (int i = 0; i < 20; i++) {
            int co = rGen.nextInt(4) + 1;

            switch (co) {
                case 1: //kolo
                    figury[i] = new Kolo(rGen.nextDouble() * 5);
                    break;

                case 2: //trojkat
                    double a=rGen.nextDouble() * 5;
                    double b=rGen.nextDouble() * 5;
                    double q=rGen.nextDouble();
                    double c=Math.abs(a-b)*q + (1-q)*(a+b); // długości boków muszą spełniać warunek trójkąta
                    figury[i] = new Trojkat(a,b,c);
                    break;

                case 3: //prostokat
                    figury[i] = new Prostokat(rGen.nextDouble() * 5, rGen.nextDouble() * 5);
                    break;

                case 4: //kwadrat
                    figury[i] = new Kwadrat(rGen.nextDouble() * 5);
                    break;
            }
        }

        for (int i = 0; i < 20; i++) {
            System.out.println(figury[i]);
            System.out.println("obwod:"+figury[i].obwod()+ "\t\tpole:"+figury[i].pole());

            if(figury[i] instanceof FigOpisOkr) {
                FigOpisOkr figOpisOkr = (FigOpisOkr) figury[i];
                
                System.out.println("promien okregu opisanego:"+figOpisOkr.promienOkrOpis());
            }
            System.out.println();

        }
    }
}